<div id="version">
    <?php $pluginInfos = get_plugin_data(ABSPATH . "wp-content/plugins/docage/docage.php") ?>
    <span>Version <?= $pluginInfos["Version"] ?></span>
</div>
<form method='post' id="language_form">
        <!-- Languages -->
        <div class="flags">
            <button type="submit" id="flag_es" name="language_choice_es" alt="ES"></button>
            <button type="submit" id="flag_en" name="language_choice_en" alt="EN"></button>
            <button type="submit" id="flag_fr" name="language_choice_fr" alt="FR"></button>
        </div>
</form>

<div id="user_profile">
    <div class="user_profile_header">
        <?php if ($_SESSION['is_authenticated']) { ?>
            <span style="display: block"><?= $_SESSION['loggedUserInformations']->FirstName . " " . $_SESSION['loggedUserInformations']->LastName ?></span>
            <span style="font-size: 0.7em"><?= $_SESSION['loggedUserInformations']->OrganizationName ?></span>
        <?php } else { ?>
            <span style="display: block">Mon profil</span>
            <span style="font-size: 0.7em">Mon organisation</span>
        <?php } ?>
    </div>
    <div class="user_profile_body">
        <form method="post" id="authentication_form" <?php if ($_SESSION['is_authenticated']) echo 'class="logged-in"' ?>>
            <div class="authentication_container">
                <div id="auth_labels_container">
                    <br>
                </div>
                <div id="auth_boxes_container">
                    <?php switch ($_SESSION['lang']) {
                        case 'FR': ?>
                            <label id='user_label'>Nom d'utilisateur:</label>
                            <input <?php if (array_key_exists("authentication_submit", $_POST) && $_SESSION['is_authenticated'] == false) echo 'style="border-color: red"' ?>
                                type="text" placeholder="exemple@mail.com" name="login_username" required>

                            <label id='pass_label'>Clé API:</label>
                            <input <?php if (array_key_exists("authentication_submit", $_POST) && $_SESSION['is_authenticated'] == false) echo 'style="border-color: red"' ?>
                                type="password" placeholder="xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx" name="login_api_key"
                                required>
                            <?php break;
                        case 'EN': ?>
                            <label id='user_label'>Username:</label>
                            <input <?php if (array_key_exists("authentication_submit", $_POST) && $_SESSION['is_authenticated'] == false) echo 'style="border-color: red"' ?>
                                type="text" placeholder="example@mail.com" name="login_username" required>

                            <label id='pass_label'>API key:</label>
                            <input <?php if (array_key_exists("authentication_submit", $_POST) && $_SESSION['is_authenticated'] == false) echo 'style="border-color: red"' ?>
                                type="password" placeholder="xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx" name="login_api_key"
                                required>
                            <?php break;
                        case 'ES': ?>
                            <label id='user_label'>Nombre de usuario:</label>
                            <input
                                <?php if (array_key_exists("authentication_submit", $_POST) && $_SESSION['is_authenticated'] == false) echo 'style="border-color: red"' ?>
                                type="text" placeholder="ejemplo@mail.com" name="login_username" required>
                            <label id='pass_label'>Claves API:</label>
                            <input <?php if (array_key_exists("authentication_submit", $_POST) && $_SESSION['is_authenticated'] == false) echo 'style="border-color: red"' ?>
                                type="password" placeholder="xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx" name="login_api_key"
                                required>
                            <?php break;
                    } ?>
                </div>
                <?php if ($_SESSION['is_authenticated'] == false || !isset($_SESSION['is_authenticated'])) { ?>
                <button type="submit" class="binding_submit_buttons" id="authentication_submit" style="width: 200px; margin-top: 20px" name="authentication_submit">
                    <span>
					    <?php
                        if ($_SESSION['lang'] === 'FR') echo "CONNEXION";
                        else if ($_SESSION['lang'] === 'EN') echo "CONNECTION";
                        else if ($_SESSION['lang'] === 'ES') echo "CONEXIÓN";
                        ?>
                    </span>
                </button>
                <?php } ?>
            </div>
        </form>
        <?php if ($_SESSION['is_authenticated']) { ?>
            <form style="display:inline;" method="post" id="logout_form">
                <button type="submit" class="pure-material-button-contained primary" id="logout_submit" style="width: 200px; margin-top: 20px" name="logout_submit">
            <span>
					<?php
                    if ($_SESSION['lang'] === 'FR') echo "DECONNEXION";
                    else if ($_SESSION['lang'] === 'EN') echo "DISCONNECTION";
                    else if ($_SESSION['lang'] === 'ES') echo "DESCONEXIÓN";
                    ?>
            </span>
                </button>
            </form>
        <?php } ?>
    </div>
</div>

<div id="home_binding_section" <?php if ($_SESSION['is_authenticated']) echo 'class="logged-in"' ?>>
    <!-- WPForm select -->
    <div id='wpforms_selection'>
        <label for='wpform_select'>
            <?php
            if ($_SESSION['lang'] === 'FR') echo "Formulaire WPForms :";
            elseif ($_SESSION['lang'] === 'EN') echo "WPForms Form :";
            elseif ($_SESSION['lang'] === 'ES') echo "Formulario WPForms :";
            ?>
        </label>

        <select name=wpform_select id='wpform_select'>
            <option value='default'>
                <?php
                if ($_SESSION['lang'] === 'FR') echo "Sélectionnez un formulaire";
                elseif ($_SESSION['lang'] === 'EN') echo "Select a form";
                elseif ($_SESSION['lang'] === 'ES') echo "Seleccione un formulario";
                ?>
            </option>

            <?php
            foreach ($_SESSION['wpforms_array'] as $form) { ?>
                <option value="<?= $form->Id ?>"><?= $form->Title ?></option>
            <?php } ?>
        </select>
    </div>

    <!-- Docage template select -->
    <div id='docage_template_selection'>
        <label for='docage_template_select'>
            <?php
            if ($_SESSION['lang'] === 'FR') echo "Modèle Docage :";
            elseif ($_SESSION['lang'] === 'EN') echo "Docage template :";
            elseif ($_SESSION['lang'] === 'ES') echo "Plantilla Docage :";
            ?>
        </label>

        <select name='docage_template_select' id='docage_template_select'>
            <option value='default'>
                <?php
                if ($_SESSION['lang'] === 'FR') echo "Sélectionnez un modèle";
                elseif ($_SESSION['lang'] === 'EN') echo "Select a template";
                elseif ($_SESSION['lang'] === 'ES') echo "Selecciona una plantilla";
                ?>
            </option>

            <?php foreach ($_SESSION['transaction_templates'] as $template) { ?>
                <option value="<?= $template->Id ?>"><?= $template->Name ?></option>
            <?php } ?>
        </select>
    </div>

    <!-- Binding table -->
    <div id="binding_form">
        <table id='binding_table' class="styled-table">
            <thead>
                <tr>
                <?php switch ($_SESSION['lang']) {
                    case 'FR':
                        echo "<th>Champs du formulaire</th>
								<th>Objets du modèle</th>
								<th>Propriétés de l'objet</th>";
                        break;

                    case 'EN':
                        echo "<th>Form fields</th>
								<th>Template objects</th>
								<th>Object properties</th>";
                        break;

                    case 'ES':
                        echo "<th>Campos de formulario</th>
								<th>Objetos de plantilla</th>
								<th>Propiedades del objeto</th>";
                        break;
                } ?>
                </tr>
            </thead>
        </table>

        <div id="submit_buttons_container">
            <div id='binding_info_text'>

                <!-- Delete bindings button -->
                <button type="button" name="delete_bindings_button" class="pure-material-button-contained warning" style="width: 200px;" id="delete_bindings_button">
                    <?php
                    if ($_SESSION['lang'] === 'FR') echo "SUPPRIMER LES LIAISONS";
                    else if ($_SESSION['lang'] === 'EN') echo "REMOVE BINDINGS";
                    else if ($_SESSION['lang'] === 'ES') echo "ELIMINAR ENLACES";
                    ?>
                </button>

                <!-- Save bindings button -->
                <button type="button" name="save_bindings_button" class="pure-material-button-contained primary" style="width: 200px" id="save_bindings_button">
				<span>
				<?php
                if ($_SESSION['lang'] === 'FR') echo "ENREGISTRER";
                else if ($_SESSION['lang'] === 'EN') echo "SAVE";
                else if ($_SESSION['lang'] === 'ES') echo "SALVAR";
                ?>
				</span></button>

            </div>
    </div>
</div>