<?php
include_once("../../../wp-config.php");

include_once("classes/Binding.php");

include_once("connection_manager.php");

global $wpdb;

$bindings = array();

foreach ($_POST["bindingsToAdd"] as $bindingToAdd) {
    $binding = new Binding();
    $binding->FormId = $bindingToAdd["FormId"];
    $binding->TemplateId = $bindingToAdd["TemplateId"];
    $binding->FormFieldType = $bindingToAdd["FormFieldType"];
    $binding->FormFieldName = $bindingToAdd["FormFieldName"];
    $binding->TemplateObjectType = $bindingToAdd["TemplateObjectType"];
    $binding->TemplateObjectName = $bindingToAdd["TemplateObjectName"];
    /*$binding->TemplateObjectEntityType = $bindingToAdd["TemplateObjectEntityType"];*/
    $binding->TemplateObjectProperty = $bindingToAdd["TemplateObjectProperty"];

    $bindings[] = $binding;
}

// Get our credentials id to save it in the bindings object
$credentialsId = Database_connect("SELECT", "SELECT Id FROM " . $wpdb->prefix . "docage_credentials WHERE DocageUsername = '$_SESSION[DocageApiUser]'")->fetch()[0];

$previousBindingsDeleted = false;

// For each new binding, we save it in db
foreach ($bindings as $binding) {
    // We start by deleting all the bindings from the WPForm already saved in db to add the new bindings
    if ($previousBindingsDeleted == false) {
        $response = Database_connect("ALTER", "DELETE FROM " . $wpdb->prefix . "docage_bindings WHERE
				FormProvider	= 'WPForms' AND
				TemplateType	= 'Transaction' AND
				FormId			= $binding->FormId
				");
        $previousBindingsDeleted = true;
    }

    $response = Database_connect("ALTER", "INSERT INTO " . $wpdb->prefix . "docage_bindings VALUES
                    (NULL, '$credentialsId',
                        'WPForms',
                        'Transaction',
                        '$binding->FormId',
                        '$binding->TemplateId',
                        '$binding->FormFieldType',
                        '$binding->FormFieldName',
                        '$binding->TemplateObjectType',
                        '$binding->TemplateObjectName',
                        '$binding->TemplateObjectProperty')
                ");

}
