<?php

function checkAndSaveCredentials($username, $apikey) {
    global $wpdb;
    $response = Docage_API_request("GET", "DocageUsers/ByEmail/".$username, '', $username, $apikey);

    if ($response[0] === 200) {
        $_SESSION["DocageApiUser"] = $username;
        $_SESSION["DocageApiKey"] = $apikey;

        $_SESSION['is_authenticated'] = true;

        // searching for existing credentials
        $credentialsId = Database_connect("SELECT", "SELECT Id FROM ".$wpdb->prefix."docage_credentials WHERE DocageUsername = '$username'")->fetch()[0];

        $loggedUserId = get_current_user_id();
        $userLanguage = $_SESSION['lang'];

        // if credentials not found
        if (!$credentialsId) {
            // add connexion informations in db
            $res = Database_connect("ALTER", "
			INSERT INTO ".$wpdb->prefix."docage_credentials (DocageUsername, DocageApiKey, WPUserId, `Language`, IsActive)
			VALUES ( '$username','$apikey', '$loggedUserId', '$userLanguage', 1)
		");

            // searching for the created credentials
            $credentialsId = Database_connect("SELECT", "SELECT Id FROM ".$wpdb->prefix."docage_credentials WHERE DocageUsername = '$username'")->fetch()[0];
        }
        else {
            $res = Database_connect("ALTER", "
            UPDATE ".$wpdb->prefix."docage_credentials SET DocageApiKey = '$apikey', IsActive = 1 WHERE Id = '$credentialsId'
            ");
        }

        $res = Database_connect("ALTER", "
            UPDATE ".$wpdb->prefix."docage_credentials SET IsActive = 0 WHERE Id != '$credentialsId'
            ");

    } else if ($response[0] == 401) {
        $_SESSION['is_authenticated'] = false;

        switch ($_SESSION['lang']) {
            case 'FR':
                Err_Msg("Identifiants incorrects.");
                break;

            case 'EN':
                Err_Msg("Bad credentials.");
                break;

            case 'ES':
                Err_Msg("Identificadores incorrectos.");
                break;
        }
    } else {
        $_SESSION['is_authenticated'] = false;

        switch ($_SESSION['lang']) {
            case 'FR':
                Err_Msg("Il semble y avoir un problème avec le serveur...<br>
					Erreur : Impossible de récupérer les modèles Docage (HTTP: ".$response[0].")<br><br>
					Merci de contacter l'administrateur à admin.admin@admin.com.<br>
					Merci.");
                break;

            case 'EN':
                Err_Msg("There seems to be a problem with the server...<br>
					Error : Unable to retrieve Docage Templates (HTTP: ".$response[0].")<br><br>
					Please contact the administrator at admin.admin@admin.com.<br>
					Thank you.");
                break;

            case 'ES':
                Err_Msg("Parece que hay un problema con el servidor...<br>
					Error : No se pueden recuperar las plantillas Docage (HTTP: ".$response[0].")<br><br>
					Por favor, póngase en contacto con el administrador en admin.admin@admin.com.<br>
					Gracias");
                break;
        }
    }
}
