<div class='container'>

    <h1>Présentation</h1>


    <h3>Qu'est-ce que Docage ?</h3>

    <p>Docage vous permet de faire signer numériquement des documents en authentifiant les signataires et en y insérant des signatures électroniques et un horodatage qualifié via des certificats émis par un PSCO qualifié eIDAS français (groupe La Poste).</p>

    <h3>Quel est le rôle du Plugin ?</h3>

    <p>Le plugin Wordpress de Docage est un outil vous permettant de générer des transactions à partir d'un modèle directement depuis votre site à partir d'un formulaire WPForms. Lorsqu'un utilisateur valide l'un de vos formulaires, ses informations sont traitées lors de la généreration d'une nouvelle transaction afin de remplir les informations du membre dynamique de votre de modèle de transaction.</p>

    <h1>Configuration</h1>

    <h3>S'authentifier</h3>

    <p>Pour utiliser le plugin Wordpress, vous devez dans un premier temps vous identifier.</p>
    <ul>
        <li><u>Nom d'utilisateur</u> : Email de votre compte Docage</li>
        <li><u>Clé API</u> : Clé affichée dans l'onglet Clé API de votre compte utilisateur</li>
    </ul>

    <h3>Créer les liaisons</h3>

    <p>Une fois authentifié, une nouvelle zone s'affiche. C'est ici que vous pourrez faire correspondre les champs de vos formulaires WPForms avec les champs de votre transaction, membre ou document de vos modèles Docage.</p>
    <p>Pour cela : </p>

    <p>Sélectionnez un formulaire WPForms et un modèle de transaction Docage. Trois colonnes devrait apparaître dans le tableau juste en dessous : </p>

    <ul>
        <li>Champs du formulaire : liste de tous les champs remplissables par l'utilisateur du formulaire WPForms sélectionné, avec à chaque fois son label et son type. <br /><br /><b>Attention: il est important de renseigner un label pour tous vos champs, sans quoi ils ne seront pas pris en compte.</b></li><br/>
        <li>Objets du modèle : liste de tous les objets de votre modèle Docage dont les champs sont remplacables par un champ WPForms. Vous avez le choix entre :
            <ul>
                <li>La transaction générée à partir du modèle elle-même</li>
                <li>Le ou les signataires associés à votre modèle</li>
                <li>Le ou les documents associés à votre modèle</li>
            </ul>
        </li><br />
        <li>Propriétés de l'objet : une fois l'objet sélectionné, la liste de tous ses champs modifiables sont affichés. C'est là que vous devez sélectionner la propriété à lier avec le champ WPForms</li>
    </ul>

    <p>Une fois toutes les associations faites entre votre formulaire WPForms et votre modèle Docage, vous pouvez valider.</p>
    <p>
        <b>Attention : les champs FirstName, LastName et Email de votre signataire doivent être obligatoirement renseignés pour l'envoi d'une transaction, pensez à bien créer une liaison pour ces champs, sinon la transaction générée par l'envoi du formulaire associé ne pourra pas être envoyée. (le champ Mobile est également obligatoire si le mode de signature de votre membre est par SMS)</b>
    </p>

    <h3>Et après ?</h3>

    <p>Si tout s'est bien passé, vous pouvez dès à présent tester l'envoi du formulaire associé à votre modèle Docage, qui devrait générer et envoyer une transaction. Si c'est le cas, alors cela veut dire que tout est bien configuré.</p>

    <p id='end'><b>À vous de jouer !</b></p>

</div>