<!-- OLD FILE

<?php
$nPerPage = 10;
$currentPage = 1;
$lastPage = true;
if (isset($_GET['currentPage'])) $currentPage = $_GET['currentPage'];
$transactions = Docage_API_request('GET', 'Transactions?take='.($nPerPage+1).'&skip='.(($currentPage - 1)*$nPerPage).'&sortOrder=CreationDate_Desc')[1];

if (count(($transactions)) > $nPerPage) $lastPage = false;
?>
<table class="table-transactions">
    <tbody>
    <tr class="table_header">
        <th>Transaction</th>
        <th>Date</th>
        <th>Status</th>
        <th></th>
        <th></th>
    </tr>
    <?php foreach ($transactions as $transaction) {
        $date = new DateTime($transaction->CreationDate);
        $d = $date->format('Y-m-d H:i');

        $status = null;

        switch ($transaction->Status) {
            case "0" : $status = 'Draft'; break;
            case "1" : $status = 'Schedule'; break;
            case "2" : $status = 'WaitingInformations'; break;
            case "3" : $status = 'Active'; break;
            case "4" : $status = 'Validated'; break;
            case "5" : $status = 'Signed'; break;
            case "6" : $status = 'Expired'; break;
            case "7" : $status = 'Refused'; break;
            case "8" : $status = 'Aborted'; break;
            case "9" : $status = 'Closed'; break;
        }
        ?>
        <tr>
            <td><?php echo $transaction->Name;?></td>
            <td><?php echo $d?></td>
            <td><?php echo $status;?></td>
            <td id="relancer" class="docage-button-wrapper">
                <a href="<?php echo $_SERVER['REQUEST_URI'] . "&currentTab=transactions&action=SendReminders&id=" . $transaction->Id; ?>">
                    <?php if ($transaction->Status >= 3 && $transaction->Status <= 4) { ?>
                        <button class="matching_buttons" style="vertical-align:middle">SEND REMINDERS</button>
                    <?php } ?>
                </a>
            </td>
            <td id="cancel" class="docage-button-wrapper">
                <a href="<?php echo $_SERVER['REQUEST_URI'] . "&currentTab=transactions&action=abort&id=" . $transaction->Id; ?>">
                    <button class="matching_buttons" style="vertical-align:middle">ABORT</button>
                </a>
            </td>
        </tr>
    <?php } ?>
    </tbody>
</table>
<div class="pagination" style="margin-top: 10px">
    <?php if ($currentPage > 1) { ?>
        <a href="<?php echo $_SERVER['REQUEST_URI'] . "&currentTab=transactions&currentPage=".($currentPage-1); ?>">Previous page</a>
    <?php } ?>
    <?php if ($currentPage > 1 || !$lastPage) { ?>
        <span>| Page : <?php echo $currentPage; ?> |</span>
    <?php } ?>
    <?php if (!$lastPage) { ?>
        <a href="<?php echo $_SERVER['REQUEST_URI'] . "&currentTab=transactions&currentPage=".($currentPage+1); ?>">Next page</a>
    <?php } ?>
</div>